﻿using DevDisciples.Json.Parser;
using DevDisciples.Parsing;

namespace DevDisciples.Json.Tools;

public static partial class Json2CSharpTranslator
{
    public static class JsonNumberTranslator
    {
        public static ITranslation Translate(ISyntaxNode visitee, object[] args)
        {
            return new PropertyTranslation
            {
                Type = ((JsonNumber)visitee).Token.Lexeme.Contains('.') ? "double" : "int",
                Name = NameFromArgs(args),
            };
        }
    }
}