export const MonacoJsonConfig = {
  theme: 'vs-dark',
  language: 'json',
  readOnly: false,
  automaticLayout: true
};

export const ReadOnlyMonacoJsonConfig = {
  theme: 'vs-dark',
  language: 'json',
  readOnly: true,
  automaticLayout: true
};

export const ReadOnlyMonacoCSharpConfig = {
  theme: 'vs-dark',
  language: 'csharp',
  readOnly: false,
  automaticLayout: true
};

export const GenerateDefaultJsonObjectString = (space: number = 0): string => {
  return JSON.stringify({first_name: "John", last_name: "Doe"}, null, space);
}

export const DebounceTime: number = 750;
