﻿using System.Text;

namespace DevDisciples.Json.Tools;

public static partial class Json2CSharpTranslator
{
    public class Context
    {
        public const string DefaultRootClassName = "Root";
        public const string DefaultNamespace = "My.Namespace";
        
        public string RootClassName { get; init; } = DefaultRootClassName;
        public string Namespace { get; init; } = DefaultNamespace;
        public List<ClassTranslation> Classes { get; } = new();
        public readonly StringBuilder Builder = new();
    }
}